Update a feed
PUT
/projects/{projectId}/feeds/{feedId}Updates an existing feed in the active project.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
projectId*string
Project ID
feedId*string
Feed ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/types.UpdateFeedRequest",
"$ref-value": {
"properties": {
"allow_images": {
"type": "boolean"
},
"allow_videos": {
"type": "boolean"
},
"description": {
"type": "string"
},
"has_comments": {
"type": "boolean"
},
"has_likes": {
"type": "boolean"
},
"has_shares": {
"type": "boolean"
},
"name": {
"type": "string"
}
},
"required": [
"name"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/feedsv1.Feed",
"$ref-value": {
"properties": {
"allow_images": {
"type": "boolean"
},
"allow_videos": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"description": {
"type": "string"
},
"has_comments": {
"type": "boolean"
},
"has_likes": {
"type": "boolean"
},
"has_shares": {
"type": "boolean"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"project_id": {
"type": "string"
},
"updated_at": {
"type": "string"
}
},
"type": "object"
}
}curl -X PUT "https://api.rixl.com/projects/string/feeds/F4edRI23XL" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'OK
application/json
{
"$ref": "#/components/schemas/feedsv1.Feed",
"$ref-value": {
"properties": {
"allow_images": {
"type": "boolean"
},
"allow_videos": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"description": {
"type": "string"
},
"has_comments": {
"type": "boolean"
},
"has_likes": {
"type": "boolean"
},
"has_shares": {
"type": "boolean"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"project_id": {
"type": "string"
},
"updated_at": {
"type": "string"
}
},
"type": "object"
}
}